streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base Class Referenceabstract
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base:

## Public Member Functions

virtual void | operator() (const indexer_node_output_type &v, typename device_selector_node::output_ports_type &op)=0
virtual device_selector_base * | clone (streaming_node &n) const =0
virtual | ~device_selector_base ()

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
class streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base

Definition at line 367 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## ~device_selector_base()

template<typename... Ports, typename JP , typename StreamFactory >

virtual streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base::~device_selector_base | ( |  | ) |

inline virtual

Definition at line 371 of file _flow_graph_streaming_node.h.

{}

## Member Function Documentation

## clone()

template<typename... Ports, typename JP , typename StreamFactory >

virtual device_selector_base* streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base::clone | ( | streaming_node< tuple< Ports... >, JP, StreamFactory > & | n | ) | const

pure virtual

Implemented in streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >.

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >

virtual void streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base::operator() | ( | const indexer_node_output_type & | v,
|  | typename device_selector_node::output_ports_type & | op
| ) |  |

pure virtual

Implemented in streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >.

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.